## visad
Class List1DDoubleSet

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Set
                  visad.SimpleSet
                      visad.List1DDoubleSet

All Implemented Interfaces:
  Cloneable, Data, Serializable, SetIface, SimpleSetIface, Thing

public class List1DDoubleSet
extends SimpleSet

List1DDoubleSet is the class for Set-s containing lists of 1-D double values with no topology. This set does not support interpolation.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
`ThingImpl.RemotePair`

Field Summary
`(package private) double[]` `data`

Fields inherited from class visad.SimpleSet
`ManifoldDimension`

Fields inherited from class visad.Set
`DomainCoordinateSystem, DomainDimension, hashCode, hashCodeSet, Length, SetErrors, SetUnits`

Fields inherited from class visad.DataImpl
`Type`

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`List1DDoubleSet(double[] d, MathType type, CoordinateSystem coord_sys, Unit[] units)` Constructs with a non-default CoordinateSystem.

Method Summary
`Object` `cloneButType(MathType type)` Clones this set -- changing the MathType.
`boolean` `equals(Object set)` test for equality
`int` `hashCode()` Returns the hash code of this instance.
`double[][]` `indexToDouble(int[] indices)` Converts an array of 1-D indices to an array of values in R^1.
`float[][]` `indexToValue(int[] indices)` Converts an array of 1-D indices to an array of values in R^1.
`boolean` `isMissing()`
`String` `longString(String pre)` Returns a pretty string about this instance.
`int[]` `valueToIndex(float[][] values)` Converts an array of values in R^1 to an array of 1-D indices.
`void` `valueToInterp(float[][] value, int[][] indices, float[][] weights)` for each of an array of values in R^DomainDimension, compute an array of 1-D indices and an array of weights, to be used for interpolation; indices[i] and weights[i] are null if i-th value is outside grid (i.e., if no interpolation is possible)

Methods inherited from class visad.SimpleSet
`getManifoldDimension, setAnimationSampling`

Methods inherited from class visad.Set

`__getitem__, __len__, addEqualsCache, addNotEqualsCache, adjustType, clone, computeRanges, computeRanges, copyDoubles, copyFloats, cram_missing, doubleToFloat, doubleToIndex, equalUnitAndCS, floatToDouble, getCoordinateSystem, getDimension, getDimension, getDoubles, getDoubles, getLength, getNeighbors, getNeighbors, getNeighbors, getSamples, getSamples, getSetErrors, getSetUnits, getWedge, longString, main, make1DGeometry, make2DGeometry, make3DGeometry, makeIsoLines, makeIsoSurface, makePointGeometry, makeSpatial, merge1DSets, testEqualsCache, testNotEqualsCache, unary, unitAndCSHashCode`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeReferenceRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, invertOp, local, log, log, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, setParent, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, toString, unary`

Methods inherited from class visad.ThingImpl
`adaptedAddReference, adaptedRemoveReference, addReference, removeReference`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.SetIface
`cram_missing, doubleToIndex, equalUnitAndCS, getCoordinateSystem, getDimension, getDoubles, getDoubles, getLength, getNeighbors, getNeighbors, getNeighbors, getSamples, getSamples, getSetErrors, getSetUnits, getWedge, make1DGeometry, make2DGeometry, make3DGeometry, makeIsoLines, makeIsoSurface, makePointGeometry, makeSpatial, merge1DSets`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Field Detail

### data

    double[] data

Constructor Detail

### List1DDoubleSet

    public List1DDoubleSet(double[] d,
                           MathType type,
                           CoordinateSystem coord_sys,
                           Unit[] units)
                    throws VisADException

  Constructs with a non-default CoordinateSystem.

Parameters:
  `d` - The data samples. Must not be `null`.
  `type` - The type of the set.
  `coord_sys` - The coordinate system transformation. May be `null`.
  `units` - The units of the values. May be `null`.
Throws:
  `VisADException` - Couldn't create set.

Method Detail

### isMissing

    public boolean isMissing()

  Returns:
    flag indicating whether this Data has a missing value

### indexToValue

    public float[][] indexToValue(int[] indices)
                           throws VisADException

  Converts an array of 1-D indices to an array of values in R^1. Note that a returned values may be Double.NaN due to double-to-float conversion.

  Specified by:
    `indexToValue` in interface `SetIface`
  Specified by:
    `indexToValue` in class `Set`
  Parameters:
    `indices` - The indices of the values to be returned.
  Returns:
    The values associated with the given indices. A Float.NaN will be returned for an out-of-range index or a double value that cannot be converted to a float.
  Throws:
    `VisADException` - a VisAD error occurred

### indexToDouble

    public double[][] indexToDouble(int[] indices)
                             throws VisADException

  Converts an array of 1-D indices to an array of values in R^1.

  Specified by:
    `indexToDouble` in interface `SetIface`
  Overrides:
    `indexToDouble` in class `Set`
  Parameters:
    `indices` - The indices of the values to be returned.
  Returns:
    The values associated with the given indices. A Double.NaN will be returned for an out-of- range index.
  Throws:
    `VisADException` - if a VisAD failure occurs.

### valueToIndex

    public int[] valueToIndex(float[][] values)
                       throws VisADException

  Converts an array of values in R^1 to an array of 1-D indices. This method is unimplemented because this class doesn't support interpolation.

  Specified by:
    `valueToIndex` in interface `SetIface`
  Specified by:
    `valueToIndex` in class `Set`
  Parameters:
    `values` - The values to have their indicies returned.
  Returns:
    array of integer indices
  Throws:
    `UnimplementedException` - Always.
    `VisADException` - a VisAD error occurred

### valueToInterp

    public void valueToInterp(float[][] value,
                              int[][] indices,
                              float[][] weights)
                       throws VisADException

  for each of an array of values in R^DomainDimension, compute an array of 1-D indices and an array of weights, to be used for interpolation; indices[i] and weights[i] are null if i-th value is outside grid (i.e., if no interpolation is possible)

  Specified by:
    `valueToInterp` in interface `SimpleSetIface`
  Specified by:
    `valueToInterp` in class `SimpleSet`
  Throws:
    `VisADException`

### equals

    public boolean equals(Object set)

  Description copied from class: `Set`
  test for equality

  Specified by:
    `equals` in interface `SetIface`
  Specified by:
    `equals` in class `Set`

### hashCode

    public int hashCode()

  Returns the hash code of this instance.

### cloneButType

    public Object cloneButType(MathType type)
                        throws VisADException

  Description copied from interface: `SetIface`
  Clones this set -- changing the MathType.

  Specified by:
    `cloneButType` in interface `SetIface`
  Specified by:
    `cloneButType` in class `Set`
  Throws:
    `VisADException`

### longString

    public String longString(String pre)

  Returns a pretty string about this instance.

  Specified by:
    `longString` in interface `Data`
  Overrides:
    `longString` in class `Set`
  Returns:
    A pretty string about this instance.